var leftIsWhite = true;
var maxTimeinMilliseconds = 5999000;
var i = 0; 						//counter
var clockUpdateIntervall = 100; // Intervall, in der die Uhrenanzeigen aktualisiert werden

var stdColor     = "#FFFFFF";	// Farbe, die standardmaessige wiederhergestellt wird
var hiLightColor = "#00FF00";   // Farbe, die beim starten / stoppen der Uhren angezeigt wird
var maxTimeColor = "#FFFE00";	// Farbe, die bei erreichen der maximalen Kampfzeit angezeigt werden soll

// 06/2008 Sebastian Dressel
var original_time_before_tie = 0;// Merkt sich die Kampfzeit bis zum Gleichstand und wird am Ende zur Kampfzeit addiert.

// 06/2008 Sebastian Dressel
var sound_on = true;			// TRUE wenn Sound gespielt werden soll
var soundnummer = 1;			// Abzuspielender Sound 2: maennlich 1: weiblich

var osaekomi_time = 15;			// Haltegriffzeit
var osaekomi_time_tmp = 15;		//

var fighting_time = 180;		// Kampfzeit in Sekunden
var fighting_time_tmp = 180;

var injury_time   = 120;		// Verletzungszeit in Sekunden
var injury_time_tmp = 120;

var showTIE = true;				// TRUE : Gleichstand wird angezeigt FALSE : nicht angezeigt

var firstcall 		= true;
var pageCallTime 	= new Date().getTime();
var passthrough 	= false;	// Spezialvariable, setzt ggf. eine bevorstehende Prfung aus (Bsp.: Punkte addieren bei FullIppon)

var fusengachi = 0;				// 0 = kein fusengachi; 1 = fusengachi ROT; 2 = fusengachi BLAU; -1 = fusengachi ROT + BLAU
var kikengachi = 0;				// 0 = keine kikengachi; 1 = kikengachi ROT; 2 = kikengachi BLAU; -1 = kikengachi ROT + BLAU
var fusengachi_winner = 0		// Gewinner wenn Aufgabe durch Krankheit / Verletzung / Nichterscheinen; 0 = keiner; 1 = Gewinner Rot; 2 = Gewinner Blau


function changeImage(id, bild)
{
	document.getElementById(id).src = "img/"+bild;
}

function changeClockSettingsImage(id, bild)
{
 	if (!isActiveClock[id.substring(0, id.indexOf("."))]) document.getElementById(id).src = "img/"+bild;
}

function gleichstand()
{
	if (getPoints("left") == getPoints("right") && showTIE && getWholeSeconds("mainClock") >= fighting_time)
	{
		showTIE = false;
		tmp_leftIppons = ipponList["left"] ["1"] + ipponList["left"] ["2"] + ipponList["left"] ["3"];
		tmp_rightIppons = ipponList["right"] ["1"] + ipponList["right"] ["2"] + ipponList["right"] ["3"];
		if (tmp_leftIppons == tmp_rightIppons) alert("TIE - set time to ZERO using the arrows on the display\n\nlet all other counts untouched\n\n\nGLEICHSTAND - Zeit mit Hilfe der Pfeile auf NULL stellen\n\nLassen Sie alle anderen Werte unberhrt\n");
		original_time_before_tie = original_time_before_tie + getWholeSeconds("mainClock");
	}
}

function soundLaden() 
{
	if (sound_on)
	{
		window.frames['sound_frame'].location.href = './sound/klingel02.swf';
		sound_on = false;
	}
}

function alarmSound(soundnumber)
{
	window.frames['sound_frame'].location.href = './sound/alarm0'+soundnumber+'.swf';
}


function handleKikenWinner(side)
{
	if (side == "left")
	{
		if (fusengachi_winner == 0)
		{
			setKikenWinner("left");
			return;
		}
		if (fusengachi_winner == 1)
		{
			setKikenWinner("none");
			return;
		}
		if (fusengachi_winner == 2)
		{
			setKikenWinner("right");
			return;
		}
	}
	if (side == "right")
	{
		if (fusengachi_winner == 0)
		{
			setKikenWinner("right");
			return;
		}
		if (fusengachi_winner == 1)
		{
			setKikenWinner("left");
			return;
		}
		if (fusengachi_winner == 2)
		{
			setKikenWinner("none");
			return;
		}
	}
}

function setKikenWinner(side)
{
	document.getElementById("down_blue").style.backgroundColor = "#000000";
	document.getElementById("up_blue").style.backgroundColor = "#000000";
	document.getElementById("down_red").style.backgroundColor = "#000000";
	document.getElementById("up_red").style.backgroundColor = "#000000";
	document.getElementById("down_none").style.backgroundColor = "#000000";
	document.getElementById("up_none").style.backgroundColor = "#000000";
	if (side == "left")
	{
		document.getElementById("down_blue").style.backgroundColor = "#5fff39";
		document.getElementById("up_blue").style.backgroundColor = "#5fff39";
		fusengachi_winner = 2;
	}
	if (side == "right")
	{
		document.getElementById("down_red").style.backgroundColor = "#5fff39";
		document.getElementById("up_red").style.backgroundColor = "#5fff39";
		fusengachi_winner = 1;
	}
	if (side == "none")
	{
		document.getElementById("down_none").style.backgroundColor = "#5fff39";
		document.getElementById("up_none").style.backgroundColor = "#5fff39";
		fusengachi_winner = 0;
	}
}

function giveBackResult()
{
	return;
}

function checkFusenKikenResult()
{
	if ((isActiveFusen["left"]) || (isActiveFusen["right"]))
	{
		if ((isActiveFusen["left"]) && (isActiveFusen["right"]))
		{
			fusengachi = -1;	// beide haben Fusen/Kiken
			fusengachi_winner = 0;
			retLeftPoints=0;
			retRightPoints=0;
			retWinner=-1;
			return;
		}
		if ((isActiveFusen["left"]) && (!isActiveFusen["right"]))
		{
			fusengachi = 2;	// Blau hat Fusen/Kiken
			fusengachi_winner = 1;
			retLeftPoints=0;
			retRightPoints=14;
			retWinner=1;
			return;

		}
		if ((!isActiveFusen["left"]) && (isActiveFusen["right"]))
		{
			fusengachi = 1;	// Rot hat Fusen/Kiken
			fusengachi_winner = 2;
			retLeftPoints=14;
			retRightPoints=0;
			retWinner=0;
			return;
		}
	}
	if ((isActiveKiken["left"]) || (isActiveKiken["right"]))
	{
		if (isActiveKiken["left"] && isActiveKiken["right"]) kikengachi = -1;
		if (isActiveKiken["left"] && !isActiveKiken["right"]) kikengachi = 2;
		if (!isActiveKiken["left"] && isActiveKiken["right"]) kikengachi = 1;
		if (fusengachi_winner == 0)
		{
			retLeftPoints=0;
			retRightPoints=0;
			retWinner=-1;
			return;
		}
		if (fusengachi_winner == 1)
		{
			retLeftPoints=0;
			retRightPoints=14;
			retWinner=1;
			return;
		}
		if (fusengachi_winner == 2)
		{
			retLeftPoints=14;
			retRightPoints=0;
			retWinner=0;
			return;
		}
	}
}


//========================================================================================
// do result
//========================================================================================
var retLeftPoints  = 0;
var retRightPoints = 0;
var retWinner      = -1;

function shutClock()
{
	doResult();
	giveBackResult();		// ausgelagert in die JSP
	this.opener.focus();
	this.close();
}

function doResult()
{
	if (penalties["right"][penaltyOrder[3]] || penalties["left"][penaltyOrder[3]]) checkPenalties();
	else
	{
	    if ((ipponList["left"] ["1"] && ipponList["left"]["2"] && ipponList["left"]["3"]) || (ipponList["right"]["1"] && ipponList["right"] ["2"] && ipponList["right"]["3"] )) checkIppons();
	    else checkPoints();
	}
	checkFusenKikenResult();
}

function checkPenalties()
{
	if (penalties["right"][penaltyOrder[3]] && penalties["left"][penaltyOrder[3]])
   		{
    	retLeftPoints=0;
     	retRightPoints=0;
     	retWinner=-1;
     	return;
   		}
   	if (penalties["right"][penaltyOrder[3]])
   	{
    	retLeftPoints=14;
     	retRightPoints=0;
     	retWinner=0;
     	return;
   	}
   	if (penalties["left"][penaltyOrder[3]])
   	{
    	retLeftPoints=0;
    	retRightPoints=14;
    	retWinner=1;
    	return;
   	}
}

function checkIppons()
{
	if (ipponList["left"] ["1"] && ipponList["left"]["3"] && ipponList["left"] ["2"])
  	{
    	retLeftPoints=14;
    	retRightPoints=0;
    	retWinner=0;
    	return;
  	}
  	if (ipponList["right"]["2"] && ipponList["right"] ["1"] && ipponList["right"]["3"] )
  	{
    	retLeftPoints=0;
    	retRightPoints=14;
    	retWinner=1;
    	return;
  	}
}

function checkPoints()
{
	retLeftPoints= leftPoints;
  	retRightPoints= rightPoints;
  	if (leftPoints > rightPoints)   retWinner=0;
  	if (leftPoints < rightPoints)   retWinner=1;

  	if (leftPoints == rightPoints)
  	{
    	if (( ipponList["left"] ["1"] + ipponList["left"]  ["2"] + ipponList["left"]  ["3"] ) > (ipponList["right"] ["1"] + ipponList["right"] ["2"] + ipponList["right"] ["3"])) retWinner=0;
    	if (( ipponList["left"] ["1"] + ipponList["left"]  ["2"] + ipponList["left"]  ["3"] ) < (ipponList["right"] ["1"] + ipponList["right"] ["2"] + ipponList["right"] ["3"])) retWinner=1;
	    if (( ipponList["left"] ["1"] + ipponList["left"]  ["2"] + ipponList["left"]  ["3"] ) ==(ipponList["right"] ["1"] + ipponList["right"] ["2"] + ipponList["right"] ["3"])) retWinner= -1;
	}
}
//========================================================================================
// clock controls
//========================================================================================
function switchClock (clockTypeOut,clockTypeIn)
{
	document.getElementById(clockTypeOut).style.display = "none";
	document.getElementById(clockTypeOut+"Caption").style.display = "none";
	document.getElementById(clockTypeIn).style.display = "block";
	document.getElementById(clockTypeIn+"Caption").style.display = "block";
}

function toggleClock (side)
{
    if ( clockDisplayed[side] == side+ "HoldingClock" )
    {
      	clockDisplayed [side] = side+ "InjuryClock";
      	switchClock ( side+ "HoldingClock", side+ "InjuryClock");
    }
    else
    {
      	clockDisplayed [side] = side+ "HoldingClock";
      	switchClock (side +"InjuryClock", side+ "HoldingClock");
    }
}

function increaseClock(value, clockType)
{
  	if ( !isActiveClock[clockType] && (milliseconds[clockType] + (value*1000)) < maxTimeinMilliseconds )
  	{
    	milliseconds[clockType] = milliseconds[clockType] + (value*1000);
    	updateClock(clockType);
  	}
}

function decreaseClock(value, clockType)
{
  	if ( !isActiveClock[clockType] && (milliseconds[clockType] - value*1000) >= 0 )
  	{
    	milliseconds[clockType] = milliseconds[clockType] - (value*1000);
    	updateClock(clockType);
  	}
  	// if ((clockType == "mainClock") && (getWholeSeconds("mainClock") < fighting_time)) document.onkeyup = setOriginalBackgroundColor;
}

function getMinutes(clockType)
{
	if (isActiveClock[clockType]) return Math.floor( (new Date().getTime()-startTime[clockType] + milliseconds[clockType])  /1000 /60 );
  	else return Math.floor( milliseconds[clockType] /1000 /60 );
}

function getSeconds(clockType)
{
  	if (isActiveClock[clockType]) return Math.floor( (new Date().getTime()-startTime[clockType] + milliseconds[clockType]) /1000) %60;
  	else return Math.floor( milliseconds[clockType] /1000) %60;
}

//neue Funktion zum ermitteln der GesamtZeit in Sekunden
// JBO 2008
function getWholeSeconds(clockType)
{
  	if (isActiveClock[clockType]) return Math.floor( (new Date().getTime()-startTime[clockType] + milliseconds[clockType]) /1000);
  	else return Math.floor( milliseconds[clockType] /1000);
}

//clockType In (main, leftInjury, rightInjury, leftHolding, rightHolding)
function updateClock(clockType)
{
	var stopper = false;
	var zwischen = 0;

	document.getElementById(clockType +'.minutes.1').src = "img/" +Math.floor(getMinutes(clockType)/10)+ ((clockType=="mainClock")? "_large.png": ".png");
  	document.getElementById(clockType +'.minutes.2').src = "img/" +getMinutes(clockType)%10+ ((clockType=="mainClock")? "_large.png": ".png");
  	document.getElementById(clockType +'.seconds.1').src = "img/" +Math.floor(getSeconds(clockType)/10)+ ((clockType=="mainClock")? "_large.png": ".png");
  	document.getElementById(clockType +'.seconds.2').src = "img/" +getSeconds(clockType)%10+ ((clockType=="mainClock")? "_large.png": ".png");

  	// Prfung auf maximale Haltegriffzeit angegeben in osaekomi_time
	if ((clockType != "mainClock") && (clockType != "leftInjuryClock") && (clockType != "rightInjuryClock"))
	{
  		if (getSeconds(clockType) >= osaekomi_time)
  		{
			stopper = true;
			startStopClock(clockType);
			alarmSound('2');
			if (isActiveClock['mainClock']) startStopClock('mainClock'); 	// wenn Haltegriffzeit auf maximum wird die Kampfzeit gestoppt
  		}
  	}
  // Ende der Prfung auf maximale Haltegriffzeit

  // Prfung auf maximale Verletzungszeit angegeben in osaekomi_time
  //
  if ((clockType != "mainClock") && (clockType != "leftHoldingClock") && (clockType != "rightHoldingClock"))
  {
  	if (getWholeSeconds(clockType) >= injury_time)
  	{
		stopper = true;
		startStopClock(clockType);
		if (isActiveClock['mainClock']) startStopClock('mainClock'); 	// wenn Verletzungszeit auf maximum wird die Kampfzeit gestoppt
		setMaxTimeBackgroundColor();
  	}
  }
  // Ende der Prfung auf maximale Verletzungszeit
  // 2007 by Sebastian Dressel

  // Prfung auf Kampfzeit angegeben in fighting_time
  //
  if (clockType == "mainClock")
  {
  	if ((getWholeSeconds("mainClock") >= fighting_time) && (!isActiveClock['leftHoldingClock']) && (!isActiveClock['rightHoldingClock']))	// wenn Haltegriffzeit luft darf Kampfzeit nicht gestoppt werden
  	{
  		stopper = true;
  		if (isActiveClock['mainClock']) startStopClock(clockType);
		setMaxTimeBackgroundColor();		// Rahmen gelb einfrben
  	}
  }
  // Ende Prfung auf maximale Kampfzeit
  // 2007 by Sebastian Dressel

  if (isActiveClock[clockType] && !stopper)
  {
     activeClock[clockType] = window.setTimeout( ("updateClock('" +clockType+ "')") , clockUpdateIntervall);
  }

}

function startStopClock(clockType)
{
	var tttime = getWholeSeconds("mainClock");
	if (firstcall != true && clockType=="mainClock") milliseconds["fightTimeWithBreaksEnd"] = new Date().getTime();
  	if (firstcall == true && clockType=="mainClock")
  	{
  		milliseconds["fightTimeWithBreaksStart"] = new Date().getTime();
    	firstcall = false;
  	}

  	if (isActiveClock[clockType])
  	{
  		milliseconds[clockType] = new Date().getTime() - startTime[clockType] + milliseconds[clockType];
    	window.clearTimeout(activeClock[clockType]);
    	if ((clockType == "mainClock") && (isActiveClock['leftHoldingClock'])) startStopClock('leftHoldingClock'); 			// Linke Haltegriffzeit stoppen wenn Kampfzeit gestoppt wird
    	if ((clockType == "mainClock") && (isActiveClock['rightHoldingClock'])) startStopClock('rightHoldingClock');     	// Rechte Haltegriffzeit stoppen wenn Kampfzeit gestoppt wird
    	if (tttime >= fighting_time && clockType == "mainClock")
    	{
			setMaxTimeBackgroundColor();		// Rahmen gelb einfrben
    	}
    	
	}																													    // 2007 by Sebastian Dressel  	}
   else
   {
   		if (proofHansokumake()) return;																						// Disqualifikation - keine Zeiten starten
    	if (proofFullIppon()) return;																						// FullIppon - keine Zeiten starten
     	if (proofFusenKiken()) return;																						// Fusengachi / Kikengachi - keine Zeit starten

     	if (((clockType == "rightInjuryClock") || (clockType == "leftInjuryClock"))&& (isActiveClock['mainClock'])) return;	// Verletzungszeit nur starten wenn HKZ NICHT luft

     	if ((clockType == "mainClock") && (isActiveClock['leftInjuryClock'])) startStopClock('leftInjuryClock');			// Verletzungszeit links stoppen wenn HKZ gestartet wird
     	if ((clockType == "mainClock") && (isActiveClock['rightInjuryClock'])) startStopClock('rightInjuryClock');			// Verletzungszeit rechts stoppen wenn HKZ gestartet wird

     	startTime[clockType] = new Date().getTime();
     	activeClock[clockType] = window.setTimeout( ("updateClock('" +clockType+ "')") , clockUpdateIntervall);
     	if ((!isActiveClock['mainClock']) && (clockType == "leftHoldingClock")) startStopClock('mainClock');				// ggf. Kampfzeit starten, wenn linke Haltegriffzeit startet
     	if ((!isActiveClock['mainClock']) && (clockType == "rightHoldingClock")) startStopClock('mainClock');				// ggf. Kampfzeit starten, wenn rechte Haltegriffzeit startet
     	if ((clockType == "leftHoldingClock") && (isActiveClock['rightHoldingClock'])) startStopClock('rightHoldingClock');	// rechte Haltegriffzeit stoppen wenn linke gestartet wird
     	if ((clockType == "rightHoldingClock") && (isActiveClock['leftHoldingClock'])) startStopClock('leftHoldingClock');  // linke Haltegriffzeit stoppen wenn rechte gestartet wird
	}
   	isActiveClock[clockType] = !isActiveClock[clockType];
   	document.getElementById(clockType+"Border").style.backgroundColor = hiLightColor;
   		
}

function resetClock(side)
{
	if (side == "mainClock")
	{
    	if (!isActiveClock["mainClock"]) milliseconds["mainClock"]=0; updateClock("mainClock");
    }
	else
  	{
    	if (!isActiveClock[clockDisplayed [side]] )
    	{
			writeHoldingTime("end",clockDisplayed [side]);																		// Kampfzeit zum Ende der Haltegriffzeit plus Haltedauer
    		milliseconds[clockDisplayed [side]] = 0;
    		updateClock(clockDisplayed [side]);
    	}
  	}
}

var clockDisplayed = new Array();
clockDisplayed ["left"] = "leftHoldingClock";
clockDisplayed ["right"] = "rightHoldingClock";

var activeClock = new Array();
activeClock["mainClock"] = 0;
activeClock["leftInjuryClock"] = 0;
activeClock["leftHoldingClock"] = 0;
activeClock["rightInjuryClock"] = 0;
activeClock["rightHoldingClock"] = 0;

var milliseconds = new Array();
milliseconds["mainClock"] = 0;
milliseconds["leftInjuryClock"] = 0;
milliseconds["leftHoldingClock"] = 0;
milliseconds["rightInjuryClock"] = 0;
milliseconds["rightHoldingClock"] = 0;
milliseconds["fightTimeWithBreaksStart"] = 0;				// JB neu
milliseconds["fightTimeWithBreaksEnd"] = 0;					// JB neu

var startTime = new Array();
startTime["mainClock"] = 0;
startTime["leftInjuryClock"] = 0;
startTime["leftHoldingClock"] = 0;
startTime["rightInjuryClock"] = 0;
startTime["rightHoldingClock"] = 0;

var isActiveClock = new Array();
isActiveClock["mainClock"] = false;
isActiveClock["leftInjuryClock"] = false;
isActiveClock["leftHoldingClock"] = false;
isActiveClock["rightInjuryClock"] = false;
isActiveClock["rightHoldingClock"] = false;

//========================================================================================
// Aufgabe durch Verletzung / Nichterscheinen
//========================================================================================

var isActiveFusen = new Array();
isActiveFusen["left"] = false;
isActiveFusen["right"] = false;

var isActiveKiken = new Array();
isActiveKiken["left"] = false;
isActiveKiken["right"] = false;

var blinkFusen = new Array();
blinkFusen["left"] = false;
blinkFusen["right"] = false;

var isActiveKikenWinner = false;

// Abfragefeld Gewinner nach Kikengachi einblenden
function activateKikenWinner()
{
	if (isActiveKiken["left"] && isActiveKiken["right"]) setKikenWinner("none");
	if (isActiveKiken["left"] && !isActiveKiken["right"]) setKikenWinner("right");
	if (!isActiveKiken["left"] && isActiveKiken["right"]) setKikenWinner("left");
	if (isActiveKikenWinner) return;
	document.getElementById("div_mainClock").style.display = "none";
	document.getElementById("div_KikenWinner").style.display = "block";
	isActiveKikenWinner = !isActiveKikenWinner;
}

// Abfragefeld Gewinner nach Kikengachi ausblenden
function deactivateKikenWinner()
{
	if (!isActiveKikenWinner) return;
	isActiveKikenWinner = !isActiveKikenWinner;
	document.getElementById("div_mainClock").style.display = "block";
	document.getElementById("div_KikenWinner").style.display = "none";
}

function checkFusen(side)
{
	if (isActiveFusen[side]) return true;
	return false;
}

function checkKiken(side)
{
	if (isActiveKiken[side]) return true;
	return false;
}

function proofFusenKiken()
{
	if (isActiveFusen["left"] || isActiveFusen["right"] || isActiveKiken["left"] || isActiveKiken["right"]) return true;
	return false;
}

function blinkFusenKiken(side)
{
	if (blinkFusen[side]) document.getElementById("fusen_kiken_"+side).src = "img/fusen_kiken_large.png";
	else document.getElementById("fusen_kiken_" + side).src = "img/fusen_kiken.png";
	blinkFusen[side] = !blinkFusen[side];
}

function activateDeactivateFusenKiken(side)
{
	if ((getMinutes("mainClock") == 0) && (getSeconds("mainClock") == 0))
	{
		if (isActiveFusen[side])
		{
			if (side == "left")	window.clearInterval(blinkerFusenLeft);
			else window.clearInterval(blinkerFusenRight);
			document.getElementById("fusen_kiken_"+side).src = "img/fusen_kiken.png";
			blinkFusen[side] = false;
		}
		else
		{
			if (isActiveClock["mainClock"]) return;			// Aufgabe nur moeglich wenn HKZ nicht laeuft
			document.getElementById("fusen_kiken_"+side).src = "img/fusen_kiken_large.png";
			if (side == "left")	blinkerFusenLeft = window.setInterval("blinkFusenKiken('left')", 1000);
			else blinkerFusenRight = window.setInterval("blinkFusenKiken('right')", 1000);
		}
		isActiveFusen[side] = !isActiveFusen[side];
	}
	else
	{
		if (isActiveKiken[side] && !isActiveFusen[side])
		{
			if (side == "left")	window.clearInterval(blinkerFusenLeft);
			else window.clearInterval(blinkerFusenRight);
			document.getElementById("fusen_kiken_"+side).src = "img/fusen_kiken.png";
			blinkFusen[side] = false;
		}
		else
		{
			if (isActiveClock["mainClock"]) return;			// Aufgabe nur moeglich wenn HKZ nicht laeuft
			document.getElementById("fusen_kiken_"+side).src = "img/fusen_kiken_large.png";
			if (side == "left")	blinkerFusenLeft = window.setInterval("blinkFusenKiken('left')", 1000);
			else blinkerFusenRight = window.setInterval("blinkFusenKiken('right')", 1000);
		}
		isActiveKiken[side] = !isActiveKiken[side];
		if (isActiveKiken["left"] || isActiveKiken["right"]) activateKikenWinner();
		else deactivateKikenWinner();
	}

	updatePoints(side);									// Punkte muessen aktualisiert werden, um Fusengachi / Kikengachi zu aktivieren / deaktivieren
}

//========================================================================================

//========================================================================================
// Point controls
//========================================================================================

var leftPoints = 0;
var rightPoints = 0;

function handlePoints(event,value,side)
{
	if (event.button==2) decreasePoints(value,side);
	else increasePoints(value,side);
}

function getPoints(side)
{
	if (side == "left") return leftPoints;
	else return rightPoints;
}

function increasePoints(value, side)
{
	if ((proofFullIppon()) && (!passthrough)) return;			// FullIppon   - keine Punkte mehr dazu
	if ((proofHansokumake()) && (!passthrough)) return;			// Hansokumake - keine Punkte mehr dazu

	if (side == "left")
	{
    	if (leftPoints + parseInt(value) < 999 ) leftPoints = (leftPoints + parseInt(value));
   	}
   	else
   	{
    	if (rightPoints + parseInt(value) < 999 )rightPoints = (rightPoints + parseInt(value));
	}
   	updatePoints(side);
}

function decreasePoints(value, side)
{
	if ((proofFullIppon()) && (!passthrough)) return;			// FullIppon   - keine Punkte mehr dazu
   	if ((proofHansokumake()) && (!passthrough)) return;			// Hansokumake - keine Punkte mehr dazu

   	if (side=="left")
   	{
    	leftPoints -= value;
     	if (leftPoints < 0) leftPoints = 0;
   	}
   	else
   	{
    	rightPoints -= value;
    	if (rightPoints < 0) rightPoints = 0;
   	}
   	updatePoints(side);
}

function updatePoints(side)
{
	// Wenn FusenKiken dann muss die Anzeige auf + gesetzt werden
    document.getElementById(side + "PointsBorderTable" ).style.backgroundColor = hiLightColor;
	side = "left";
    document.getElementById(side + "Points.2").src =  "img/" +Math.floor(getPoints(side)/100)+ "_x_large.png";
    document.getElementById(side + "Points.1").src =  "img/" +Math.floor( (getPoints(side)%100)/10 )+ "_x_large.png";
    document.getElementById(side + "Points.0").src =  "img/" +((getPoints(side)%100)%10) + "_x_large.png";
	side = "right";
    document.getElementById(side + "Points.2").src =  "img/" +Math.floor(getPoints(side)/100)+ "_x_large.png";
    document.getElementById(side + "Points.1").src =  "img/" +Math.floor( (getPoints(side)%100)/10 )+ "_x_large.png";
    document.getElementById(side + "Points.0").src =  "img/" +((getPoints(side)%100)%10) + "_x_large.png";

	if (proofFusenKiken())
	{
		if (checkFusen("left") || checkKiken("left"))
	 	{
	   		document.getElementById("leftPoints.2").src =  "img/bl_x_large.png";
	   		if (isActiveFusen["left"]) document.getElementById("leftPoints.1").src =  "img/F_x_large.png";
	   		else document.getElementById("leftPoints.1").src =  "img/injury_x_large.png";
   	   		document.getElementById("leftPoints.0").src =  "img/bl_x_large.png";
   	   	}
	   	if (checkFusen("right") || checkKiken("right"))
	   	{
	   		document.getElementById("rightPoints.2").src =  "img/bl_x_large.png";
	   		if (isActiveFusen["right"]) document.getElementById("rightPoints.1").src =  "img/F_x_large.png";
	   		else document.getElementById("rightPoints.1").src =  "img/injury_x_large.png";
   	   		document.getElementById("rightPoints.0").src =  "img/bl_x_large.png";
   	   	}
	}

	// Wenn Hansokumake dann muss die Anzeige auf H gesetzt werden
	if (proofHansokumake())
	{
   		if (checkHansokumake("left"))
   	   	{
	   		document.getElementById("leftPoints.2").src =  "img/bl_x_large.png";
	   		document.getElementById("leftPoints.1").src =  "img/hanso_x_large.png";
   	   		document.getElementById("leftPoints.0").src =  "img/bl_x_large.png";
		}
   	   	if (checkHansokumake("right"))
	   	{
	   		document.getElementById("rightPoints.2").src =  "img/bl_x_large.png";
	   		document.getElementById("rightPoints.1").src =  "img/hanso_x_large.png";
   	   		document.getElementById("rightPoints.0").src =  "img/bl_x_large.png";
   	   	}
	return
	}

	// Wenn FullIppon dann muss die Anzeige auf 14:0 gesetzt werden
	if (proofFullIppon())
	{
	   	if (checkFullIppon("left"))
	   	{
		    document.getElementById("leftPoints.2").src =  "img/0_x_large.png";
		    document.getElementById("leftPoints.1").src =  "img/1_x_large.png";
		    document.getElementById("leftPoints.0").src =  "img/4_x_large.png";

		   	document.getElementById("rightPoints.2").src =  "img/0_x_large.png";
		   	document.getElementById("rightPoints.1").src =  "img/0_x_large.png";
   	   		document.getElementById("rightPoints.0").src =  "img/0_x_large.png";
	   	}
		else
	   	{
		    document.getElementById("rightPoints.2").src =  "img/0_x_large.png";
		    document.getElementById("rightPoints.1").src =  "img/1_x_large.png";
		    document.getElementById("rightPoints.0").src =  "img/4_x_large.png";

		   	document.getElementById("leftPoints.2").src =  "img/0_x_large.png";
		   	document.getElementById("leftPoints.1").src =  "img/0_x_large.png";
   	   		document.getElementById("leftPoints.0").src =  "img/0_x_large.png";
	   	}
	   	return;
	}
}

//========================================================================================

//========================================================================================
// Ippon functions
//========================================================================================

var ipponList = new Array();
ipponList["left"] = new Array();
ipponList["right"] = new Array();
ipponList["left"]  ["1"] = 0;
ipponList["right"] ["1"] = 0;
ipponList["left"]  ["2"] = 0;
ipponList["right"] ["2"] = 0;
ipponList["left"]  ["3"] = 0;
ipponList["right"] ["3"] = 0;

var ippons = new Array();
ippons["left"] = new Array();
ippons["right"] = new Array();
ippons["left"] ["1"] = false;
ippons["right"]["1"] = false;
ippons["left"] ["2"] = false;
ippons["right"]["2"] = false;
ippons["left"] ["3"] = false;
ippons["right"]["3"] = false;

function handleIppon(event,side,ippon)
{
	if (event.button==2) decreaseIppon(side,ippon);
	else increaseIppon(side,ippon);
}

function setIppon(side,ippon)
{
	ippons[side][ippon ] = !ippons[side][ippon];
}

function checkFullIppon(side)
{
	if ((ipponList[side]["1"]) && (ipponList[side]["2"]) && (ipponList[side]["3"])) return true;
	return false;
}

function proofFullIppon()
// prueft beide seiten auf full ippon und setzt das Blinken in Gang
// benoetigt function checkFullIppon(side)
{
var proof = false;
	if (checkFullIppon("left"))
	{
		changeImage("leftIppon1ImageFlag", "blinker.gif");
		changeImage("leftIppon2ImageFlag", "blinker.gif");
		changeImage("leftIppon3ImageFlag", "blinker.gif");
		proof = true;
	}
	if (checkFullIppon("right"))
	{
		changeImage("rightIppon1ImageFlag", "blinker.gif");
		changeImage("rightIppon2ImageFlag", "blinker.gif");
		changeImage("rightIppon3ImageFlag", "blinker.gif");
		proof = true;
	}
	if (proof)
	{
		if (isActiveClock["mainClock"]) startStopClock("mainClock");	// HKZ stoppen wenn fullIppon
		return true;
	}
	return false;
}

function increaseIppon(side, ippon)
{
	if ((proofFullIppon()) && (!passthrough)) return;		// FullIppon   - keine Ippon mehr dazu
  	if (proofHansokumake()) return;						// Hansokumake - keine Ippons mehr dazu

  	ipponList[side][ippon]++;

  	document.getElementById(side+"Ippon"+ippon+"TDFlag").style.backgroundColor = hiLightColor;

  	if (ipponList[side][ippon] < 21) changeImage(side + "Ippon" + ippon + "ImageFlag", "ippon_active"+ ipponList[side][ippon]+".png");
  	else changeImage(side + "Ippon" + ippon + "ImageFlag", "ippon_activexx.png");

  	passthrough = true;					// passthrough auf true setzen um Punkte addieren zu koennen
  	increasePoints('2', side);  		// add Points
  	passthrough = false;				// passthrough auf false setzen, dass pruefung stattfinden kann.
  	proofFullIppon();					// erneut auf fullIppon pruefen und ggf. blinker aktivieren.
}

function decreaseIppon(side, ippon)
{
	if (proofHansokumake()) return;		// Hansokumake - keine Ippons mehr dazu

	ipponList[side][ippon]--;
  	if (ipponList[side][ippon] < 0) ipponList[side][ippon] = 0;
  	else
  	{
    	// changeImage(side + "Ippon" + ippon + "ImageFlag", "ippon_active"+ ipponList[side][ippon]+".png");
      	// alle auflisten wegen der aktualisierung wenn fullippon rausgenommen wird

		if (ipponList[side]["1"] < 21) changeImage(side + "Ippon1ImageFlag", "ippon_active"+ ipponList[side]["1"]+".png");
	  	else changeImage(side + "Ippon1ImageFlag", "ippon_activexx.png");

	  	if (ipponList[side]["2"] < 21) changeImage(side + "Ippon2ImageFlag", "ippon_active"+ ipponList[side]["2"]+".png");
	  	else changeImage(side + "Ippon2ImageFlag", "ippon_activexx.png");

	  	if (ipponList[side]["3"] < 21) changeImage(side + "Ippon3ImageFlag", "ippon_active"+ ipponList[side]["3"]+".png");
	  	else changeImage(side + "Ippon3ImageFlag", "ippon_activexx.png");

      	passthrough = true;					// passthrough auf true setzen um Punkte addieren zu koennen
	  	decreasePoints('2', side);
	  	passthrough = false;				// passthrough auf false setzen, dass pruefung stattfinden kann.
	}
	if (ipponList[side][ippon] == 0) document.getElementById(side+"Ippon"+ippon+"TDFlag").style.backgroundColor = "#000000";
}

//========================================================================================

//========================================================================================
// Pentaly functions
//========================================================================================

var penaltyOrder = new Array();
penaltyOrder[0] = "Shido";
penaltyOrder[1] = "Chui";
penaltyOrder[2] = "Keikoku";
penaltyOrder[3] = "Hansokumake";

var penalties = new Array();
penalties["left"] = new Array();
penalties["right"] = new Array();
penalties["right"][penaltyOrder[0] ] = false;
penalties["left"][penaltyOrder[0] ] = false;
penalties["right"][penaltyOrder[1] ] = false;
penalties["left"][penaltyOrder[1] ] = false;
penalties["right"][penaltyOrder[2] ] = false;
penalties["left"][penaltyOrder[2] ] = false;
penalties["right"][penaltyOrder[3] ] = false;
penalties["left"][penaltyOrder[3] ] = false;

var penaltyList = new Array();
penaltyList["left"] = new Array();
penaltyList["right"] = new Array();
penaltyList["left"]  ["shido"] = 0;
penaltyList["right"] ["shido"] = 0;
penaltyList["left"]  ["chui"] = 0;
penaltyList["right"] ["chui"] = 0;

function checkHansokumake(side)
{
	if (penalties[side][penaltyOrder[3] ]) return true;
	return false;
}

function proofHansokumake()
{
	// Liefert TRUE wenn einer oder beide Kmpfer disqualifiziert wurden
	if ((penalties["left"][penaltyOrder[3] ]) || (penalties["right"][penaltyOrder[3] ])) return true;
	return false;
}

function handleShido(event,side)
{
	if (event.button==2) decreaseShido(side);
	else increaseShido(side);
}

function increaseShido(side)
{
	if (checkHansokumake(side)) return;
  	passthrough = true;
  	penaltyList[side]["shido"]++;

  	if (penaltyList[side]["shido"] < 21) changeImage(side + "ShidoImageFlag", "ippon_active"+ penaltyList[side]["shido"]+".png");
  	else changeImage(side + "ShidoImageFlag", "ippon_activexx.png");

  	changeImage(side + "ShidoImageFlag", "ippon_active"+ penaltyList[side]["shido"]+".png");
  	if( "left" == side)  increasePoints('1', "right");  			// add Points to opponent
  	else if( "right" == side)  increasePoints('1', "left");  		// add Points to opponent
  	passthrough = false;
}

function decreaseShido(side)
{
	if (checkHansokumake(side)) return;
  	passthrough = true;
  	penaltyList[side]["shido"]--;
  	if (penaltyList[side]["shido"] < 0) penaltyList[side]["shido"] = 0;
  	else
  	{
		if (penaltyList[side]["shido"] < 21) changeImage(side + "ShidoImageFlag", "ippon_active"+ penaltyList[side]["shido"]+".png");
  		else changeImage(side + "ShidoImageFlag", "ippon_activexx.png");
	  	if( "left" == side)  decreasePoints('1', "right");  // decreasePoints  to opponent
	  	else if( "right" == side)  decreasePoints('1', "left");  // decreasePoints  to opponent
  	}
  	passthrough = false;
}

function handleChui(event,side)
{
	if (event.button==2) decreaseChui(side);
	else increaseChui(side);
}

function increaseChui(side)
{
	if (checkHansokumake(side)) return;
  	passthrough = true;
  	penaltyList[side]["chui"]++;
  	if (penaltyList[side]["chui"] > 1)
  	{
    	penaltyList[side]["chui"] = 1;
		increaseHansokumake(side);
  	}
  	else
  	{
  		changeImage(side + "ChuiImageFlag", "ippon_active"+ penaltyList[side]["chui"]+".png");
  		if( "left" == side)  increasePoints('2', "right");  // add Points to opponent
  		else if( "right" == side)  increasePoints('2', "left");  // add Points to opponent
  	}
  	passthrough = false;
}

function decreaseChui(side)
{
  	if (checkHansokumake(side)) return;
  	passthrough = true;
  	penaltyList[side]["chui"]--;
  	if (penaltyList[side]["chui"] < 0) penaltyList[side]["chui"] = 0;
  	else
  	{
		changeImage(side + "ChuiImageFlag", "ippon_active"+ penaltyList[side]["chui"]+".png");
	  	if( "left" == side)  decreasePoints('2', "right");  // decreasePoints  to opponent
	  	else if( "right" == side)  decreasePoints('2', "left");  // decreasePoints  to opponent
  	}
  	passthrough = false;
}

function handleHansokumake(event,side)
{
	if (event.button==2) decreaseHansokumake(side);
	else increaseHansokumake(side);
}

function increaseHansokumake(side)
{
	penalties[side][penaltyOrder[3] ] = true;
	changeImage(side + penaltyOrder[3] +"ImageFlag","blinker.gif");
	if ((proofHansokumake) && (isActiveClock['mainClock'])) startStopClock("mainClock");
	updatePoints(side)				// muss aufgerufen werden, um Hansokumake anzueigen
}

function decreaseHansokumake(side)
{
	if (penalties[side][penaltyOrder[3]])
		{
		penalties[side][penaltyOrder[3] ] = false;
		changeImage(side + penaltyOrder[3] +"ImageFlag","penalty_inactive.png");
		updatePoints(side);			// muss aufgerufen werden, um Punkte wieder anzuzeigen
		}
}

/*
function increasePenalty (side)
{
	i = 0;
	while (penalties[side][penaltyOrder[i]] && i < 4) { i++; }
       if (i < 4 ) {
          penalties[side][ penaltyOrder[i]] = !penalties[side][penaltyOrder[i]];
          changeImage(side + penaltyOrder[i] +"ImageFlag", (penalties[side][penaltyOrder[i]]?"penalty_active.png":"penalty_inactive.png") );
          if (side == "left") increasePoints(1, "right");
		  if (side == "right") increasePoints(1, "left");
        }
}

function decreasePenalty (side) {
i = 0;
while (penalties[side][penaltyOrder[i]] && i < 4) { i++; }
	   i--;
       if (i >= 0  && i < 4 ) {
          penalties[side][ penaltyOrder[i]] = !penalties[side][penaltyOrder[i]];
          changeImage(side + penaltyOrder[i] +"ImageFlag", (penalties[side][penaltyOrder[i]]?"penalty_active.png":"penalty_inactive.png") );
          if (side == "left")  decreasePoints(1, "right");
		  if (side == "right") decreasePoints(1, "left");
        }
}

function setPenalty(side, penalty)
{
	//activate all lower penalties if given penalty is not active;
    if (!penalties[side][penalty])
    {
    	for (var i = 0; penaltyOrder[i] != penalty; i++)
    	{
        	if (!penalties[side][penaltyOrder[i]])
        	{
          		penalties[side][ penaltyOrder[i]] = !penalties[side][penaltyOrder[i]];
          		changeImage(side + penaltyOrder[i] +"ImageFlag", (penalties[side][penaltyOrder[i]]?"penalty_active.png":"penalty_inactive.png") );
          		if (side == "left") increasePoints(1, "right");
		  		if (side == "right") increasePoints(1, "left");
        	}
      	}
    }

    //deactivate all higher penalaties if there are any activ;
    if(penalties[side][penalty])
    {
      	for (var i=3; penaltyOrder[i] != penalty; i--)
      	{
			if (penalties[side][penaltyOrder[i]])
			{
          		penalties[side][ penaltyOrder[i]] = !penalties[side][penaltyOrder[i]];
          		changeImage(side + penaltyOrder[i] +"ImageFlag", (penalties[side][penaltyOrder[i]]?"penalty_inactive.png":"penalty_inactive.png") );
  	      		if (side == "left") decreasePoints(1, "right");
		  		if (side == "right") decreasePoints(1, "left");
        	}
      	}
    }

    if(penalties[side][penalty])
	{
		if (side == "left") decreasePoints(1, "right");
        if (side == "right") decreasePoints(1, "left");
	}
    else
	{
		if (side == "left") increasePoints(1, "right");
   	    if (side == "right") increasePoints(1, "left");
	}

    penalties[side][penalty] = !penalties[side][penalty];
    changeImage(side + penalty +"ImageFlag", (penalties[side][penalty]?"penalty_active.png":"penalty_inactive.png") );
}
*/
//========================================================================================

//========================================================================================
// LastHoldings Anzeige
// 2007 by Sebastian Dressel
//========================================================================================

info = null;
var textLeftHolding = "<b>Haltegriffzeiten</b><br/>";
var leftHoldingCounter = 0;
var leftHolding = new Array();
leftHolding[0] = "<b>Haltegriffzeiten</b><br/>";
leftHolding[1] = ""; leftHolding[2] = "";
leftHolding[3] = ""; leftHolding[4] = "";
leftHolding[5] = ""; leftHolding[6] = "";
leftHolding[7] = ""; leftHolding[8] = "";
leftHolding[9] = ""; leftHolding[10] = "";

var textRightHolding = "<b>Haltegriffzeiten</b><br/>";
var rightHoldingCounter = 0;
var rightHolding = new Array();
rightHolding[0] = "<b>Haltegriffzeiten</b><br/>";
rightHolding[1] = ""; rightHolding[2] = "";
rightHolding[3] = ""; rightHolding[4] = "";
rightHolding[5] = ""; rightHolding[6] = "";
rightHolding[7] = ""; rightHolding[8] = "";
rightHolding[9] = ""; rightHolding[10] = "";

var textLeftInjury = "<b>Verletzungszeiten</b><br/>";
var textRightInjury = "<b>Verletzungszeiten</b><br/>";

function writeHoldingTime(timeType, clockType)
{
	var writeTextLeft_tmp = "";
  	var writeTextRight_tmp = "";

  	if (timeType == "end")
  	{
    	if (clockType == "leftHoldingClock") 																					// Endzeit der linken Haltegriffzeit eintragen
     	{
			textLeftHolding = "";
			leftHoldingCounter += 1;
     		writeTextLeft_tmp += getMinutes('mainClock') + ":";
     		if (getSeconds('mainClock') < 10) writeTextLeft_tmp += "0" + getSeconds('mainClock') + "-->" + Math.floor((getSeconds('leftHoldingClock')/10)) + Math.floor((getSeconds('leftHoldingClock')%10))+ "<br/>";
     		else writeTextLeft_tmp += getSeconds('mainClock') + "-->" + Math.floor((getSeconds('leftHoldingClock')/10)) + Math.floor((getSeconds('leftHoldingClock')%10)) + "<br/>";

			if (leftHoldingCounter >= 11)
			{
     			for (var i = 1; i <= 9; i++) leftHolding[i] = leftHolding[i+1];
     			leftHolding[10] = writeTextLeft_tmp;
     		}
     		else leftHolding[leftHoldingCounter] = writeTextLeft_tmp;
	 		for (var j = 0; j <= 10; j++) textLeftHolding = textLeftHolding + leftHolding[j];
     	}
     	if (clockType == "rightHoldingClock") 																					// Endzeit der rechten Haltegriffzeit eintragen
     	{
			textRightHolding = "";
			rightHoldingCounter += 1;
     		writeTextRight_tmp += getMinutes('mainClock') + ":";
     		if (getSeconds('mainClock') < 10) writeTextRight_tmp += "0" + getSeconds('mainClock') + "-->" + Math.floor((getSeconds('rightHoldingClock')/10)) + Math.floor((getSeconds('rightHoldingClock')%10))+ "<br/>";
     		else writeTextRight_tmp += getSeconds('mainClock') + "-->" + Math.floor((getSeconds('rightHoldingClock')/10)) + Math.floor((getSeconds('rightHoldingClock')%10)) + "<br/>";

			if (rightHoldingCounter >= 11)
			{
     			for (var i = 1; i <= 9; i++) rightHolding[i] = rightHolding[i+1];
     			rightHolding[10] = writeTextRight_tmp;
     		}
     		else rightHolding[rightHoldingCounter] = writeTextRight_tmp;
	    	for (var j = 0; j <= 10; j++) textRightHolding += rightHolding[j];
     	}
	}
}

function updateInfo(event) {
	x = (document.all) ? window.event.x + document.body.scrollLeft : event.pageX;
	y = (document.all) ? window.event.y + document.body.scrollTop  : event.pageY;
	if (info != null)
	{
		info.style.left = (x + 20) + "px";
		info.style.top 	= (y - 60) + "px";
	}
}

function showInfo(id)
{
	if (!isShiftKey) return;
	info = document.getElementById(id);
	info.style.display = "block"
	if (id == "leftHolding") info.innerHTML = textLeftHolding;
	if (id == "rightHolding") info.innerHTML = textRightHolding;
	if (id == "leftInjury") info.innerHTML = textLeftInjury;
	if (id == "rightInjury") info.innerHTML = textRightInjury;

}

function hideInfo()
{
	if (!info) return;
	info.style.display = "none";
}

//========================================================================================
// CookieSetup fr Verletzungszeit, Haltegriffzeit, Kampfzeit - 2007 by Sebastian Dressel
//========================================================================================

function readCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return false;
}

function writeCookie(name, value)
{
	var cookietext = "";
	cookietext = name + "=" + value;
	document.cookie = cookietext;
}

function resetCookie()			// Schaut ob Angaben zu Kampf, Halte und verletzungszeit gespeichert sind und ergnzt ggf.
{
	if (!readCookie("fightingtime")) writeCookie("fightingtime",String(fighting_time));
	if (!readCookie("injurytime")) writeCookie("injurytime",String(injury_time));
	if (!readCookie("holdingtime")) writeCookie("holdingtime",String(osaekomi_time));

	fighting_time = Number(readCookie("fightingtime"));
	injury_time   = Number(readCookie("injurytime"));
	osaekomi_time = Number(readCookie("holdingtime"));

	fighting_time_tmp 	= fighting_time;
	injury_time_tmp 	= injury_time;
	osaekomi_time_tmp 	= osaekomi_time;
}

//========================================================================================
// Anzeigenwechsel - 2007 by Sebastian Dressel
//========================================================================================
var isActiveAnzeige   = false;

function handleAnzeige()
{
	if (isActiveAnzeige)
	{
		if (isActiveClock["mainClock"]) return;
		document.getElementById("loadfield").style.visibility = "visible";
		document.getElementById("loadfield").style.display = "block";
		document.getElementById("mainbody").style.visibility = "hidden";
		document.getElementById("mainbody").style.display = "none";
		document.getElementById("time_frame").style.right = "8";
		document.getElementById("time_frame").style.left = "";
		document.getElementById("time_frame").style.top = "167";
	}
	else
	{
		document.getElementById("loadfield").style.visibility = "hidden";
		document.getElementById("loadfield").style.display = "none";
		document.getElementById("mainbody").style.visibility = "visible";
		document.getElementById("mainbody").style.display = "block";
		document.getElementById("time_frame").style.left = "433";
		document.getElementById("time_frame").style.top = "114";
	}
	isActiveAnzeige = !isActiveAnzeige;
}

//========================================================================================
// Key Events
//========================================================================================
var isShiftKey = false;

function myKeyDownFunction(event)
{
      if (event.shiftKey) isShiftKey = true;
      if (event.keyCode == 32 && !event.shiftKey)  startStopClock("mainClock"); 				//leer			HKZ starten/stoppen
  	  if (event.keyCode == 32 && event.shiftKey && event.ctrlKey)   resetClock("mainClock"); 	//SHIFT + CTRL + leer   HKZ resetten
      if (event.keyCode == 70 && !event.shiftKey) startStopClock(clockDisplayed ["left"]);  	// f	linke Uhr starten/stoppen
      if (event.keyCode == 74 && !event.shiftKey) startStopClock(clockDisplayed ["right"]);  	// j	rechte Uhr starten/stoppen

      if (event.keyCode == 70 && event.shiftKey) resetClock("left");  					// SHIFT + f	linke Uhr resetten
      if (event.keyCode == 74 && event.shiftKey) resetClock("right");  					// SHIFT + j	rechte Uhr resetten

      if (event.keyCode == 86 && event.shiftKey) activateDeactivateFusenKiken("left");	// SHIFT + v	Fusengachi / Kikengachi BLAU
      if (event.keyCode == 78 && event.shiftKey) activateDeactivateFusenKiken("right");	// SHIFT + n	Fusengachi / Kikengachi ROT

      if (event.keyCode == 71) toggleClock("left");  									// g			linke Uhr umschalen
      if (event.keyCode == 72) toggleClock("right");  									// h			rechte Uhr umschalten

      if (event.keyCode == 81 && !event.shiftKey) increasePoints(1, "left");  			// q			addiere Punkte fuer Rot
	    if (event.keyCode == 81 && event.shiftKey) decreasePoints(1, "left");  			// SHIFT + q		subtrahiere Punkte fuer Rot

      if (event.keyCode == 80 && !event.shiftKey) increasePoints(1, "right");  			// p			addiere Punkte fuer Blau
      if (event.keyCode == 80 && event.shiftKey) decreasePoints(1, "right");  			// SHIFT + p		subtrahiere Punkte fuer Blau

      //ippons and penalties LEFT
      if (event.keyCode == 87 && !event.shiftKey) increaseIppon( "left", "3");  		// w			Ippon Part 3 fuer Blau
	    if (event.keyCode == 87 && event.shiftKey) decreaseIppon( "left", "3");  		// SHIFT + w		Ippon Part 3 zurueck
      if (event.keyCode == 69 && !event.shiftKey) increaseIppon("left", "2");   		// e			Ippon Part 2 fuer Blau
	    if (event.keyCode == 69 && event.shiftKey) decreaseIppon("left", "2");   		// SHIFT + e		Ippon Part 2 zurueck
      if (event.keyCode == 82 && !event.shiftKey) increaseIppon("left", "1");   		// r			Ippon Part 1 fuer Blau
	    if (event.keyCode == 82 && event.shiftKey) decreaseIppon("left", "1");   		// SHIFT + r		Ippon Part 1 zurueck

	  if (event.keyCode == 51 && !event.shiftKey) increaseHansokumake("left");  		// 3			Hansokumake fr LINKS
  	  	if (event.keyCode == 51 && event.shiftKey)  decreaseHansokumake("left");  		// SHIFT + 3		Hansokumake fr LINKS zurueck
      if (event.keyCode == 49 && !event.shiftKey) increaseShido("left");  				// 1            Shido wird erhht fr LINKS
	    if (event.keyCode == 49 && event.shiftKey)  decreaseShido("left");  			// SHIFT + 1    	Shido wird erniedrigt fr LINKS
      if (event.keyCode == 50 && !event.shiftKey) increaseChui("left");  				// 2			Chui wird erhht fr LINKS
	    if (event.keyCode == 50 && event.shiftKey)  decreaseChui("left");  				// SHIFT + 2		Chui wird erniedrigt fr LINKS

      //ippons and penalties RIGHT
      if (event.keyCode == 79 && !event.shiftKey) increaseIppon( "right", "3");  		// o			Ippon Part 3 fuer ROT
      	if (event.keyCode == 79 && event.shiftKey) decreaseIppon( "right", "3");  		// SHIFT + o		Ippon Part 3 zurueck
      if (event.keyCode == 73 && !event.shiftKey) increaseIppon("right", "2");  		// i			Ippon Part 2 fuer ROT
	    if (event.keyCode == 73 && event.shiftKey) decreaseIppon("right", "2");  		// SHIFT + i		Ippon Part 2 zurueck
      if (event.keyCode == 85 && !event.shiftKey) increaseIppon("right", "1"); 			// u			Ippon Part 1 fuer ROT
	    if (event.keyCode == 85 && event.shiftKey) decreaseIppon("right", "1");  		// SHIFT + u		Ippon Part 1 zurueck

	  if (event.keyCode == 57 && !event.shiftKey) increaseHansokumake("right");  		// 8			Hanso fr RECHTS
  	  	if (event.keyCode == 57 && event.shiftKey)  decreaseHansokumake("right");  		// SHIFT + 8		Hanso fr RECHTS zurueck
      if (event.keyCode == 58 && !event.shiftKey) increaseChui("right");  				// 9			Chui wird erhht fr RECHTS
	    if (event.keyCode == 58 && event.shiftKey)  decreaseChui("right");  			// SHIFT + 9		Chui wird erniedrigt fr RECHTS
      if (event.keyCode == 48 && !event.shiftKey) increaseShido("right");  				// 0			Shido wird erhht fr RECHTS
	    if (event.keyCode == 48 && event.shiftKey)  decreaseShido("right");  			// SHIFT + 0		Shido wird erniedrigt fr RECHTS

	  if (event.keyCode == 191 && !event.shiftKey) handleAnzeige();  					// #			WettkampfAnzeige wird angezeigt

	  if (event.keyCode == 39 && !event.shiftKey) handleKikenWinner("right");			// -->			Gewinner Kikengachi weiterschalten
	  	  if (event.keyCode == 37 && !event.shiftKey) handleKikenWinner("left");		// <--			Gewinner Kikengachi weiterschalten

      if (event.keyCode == 113 && event.shiftKey && event.ctrlKey)   shutClock(); 		//SHIFT + CTRL + F2   Anzeige schliessen und Daten uebergeben
      
      if (event.keyCode == 112 && event.shiftKey && event.ctrlKey)   alarmSound('1'); 		//SHIFT + CTRL + F1   Alarmsound abspielen

}

//========================================================================================
// Hintergrundfarben functions
//========================================================================================
var blinkColorJumper = false;
var blinkColorActive = false;

function setOriginalBackgroundColor(event)
{
	// 06/2008 Sebastian Dressel
	// Wenn Zeit > maxKampfzeit und mainClock nicht aktiv dann weiter blinken lassen 
	if (getWholeSeconds("mainClock") >= fighting_time && !isActiveClock["mainClock"]) exit;
	//	
	isShiftKey = false;
	document.getElementById("time_frame").style.display = "none";
	document.getElementById("time_frame").style.visibility = "hidden";
	document.getElementById("mainClockBorder").style.backgroundColor = stdColor;
  	document.getElementById("rightInjuryClockBorder").style.backgroundColor = stdColor;
  	document.getElementById("rightHoldingClockBorder").style.backgroundColor = stdColor;
  	document.getElementById("leftInjuryClockBorder").style.backgroundColor = stdColor;
  	document.getElementById("leftHoldingClockBorder").style.backgroundColor = stdColor;
  	document.getElementById( "leftPointsBorderTable" ).style.backgroundColor = stdColor;
  	document.getElementById( "rightPointsBorderTable" ).style.backgroundColor = stdColor;
  	document.body.style.backgroundColor = stdColor;
  	if (blinkColorActive)
  	{
  		window.clearInterval(maxTimeBlinker);
  		blinkColorActive = false;
  		showTIE  = true;
		sound_on = true;
		document.onkeyup = setOriginalBackgroundColor;
		document.onmouseup = setOriginalBackgroundColor;
  	}
}

function maxTimeBlinkerBackground()

{
	var activeBlinkColor = hiLightColor;
	if (blinkColorJumper) activeBlinkColor = maxTimeColor;

	document.body.style.backgroundColor = activeBlinkColor;
	document.getElementById("time_frame").style.color = activeBlinkColor;
  	document.getElementById("mainClockBorder").style.backgroundColor = activeBlinkColor;
  	document.getElementById("rightInjuryClockBorder").style.backgroundColor = activeBlinkColor;
  	document.getElementById("rightHoldingClockBorder").style.backgroundColor = activeBlinkColor;
  	document.getElementById("leftInjuryClockBorder").style.backgroundColor = activeBlinkColor;
  	document.getElementById("leftHoldingClockBorder").style.backgroundColor = activeBlinkColor;
  	document.getElementById( "leftPointsBorderTable" ).style.backgroundColor = activeBlinkColor;
  	document.getElementById( "rightPointsBorderTable" ).style.backgroundColor = activeBlinkColor;
	blinkColorJumper = !blinkColorJumper;
	// 06/2008 Sebastian Dressel
	// Wenn die Zeit < maxKampfzeit unbedingt das Blinken stoppen, wenn nicht InjuryTime abgelaufen
	if ((getWholeSeconds("mainClock") < fighting_time) && (getWholeSeconds("leftInjuryClock") < injury_time) && (getWholeSeconds("rightInjuryClock") < injury_time)) setOriginalBackgroundColor();
	// Wenn Hauptkampfzeit aktiv dann den original Hintergrund anzeigen
	if (isActiveClock["leftHoldingClock"] || isActiveClock["rightHoldingClock"]) setOriginalBackgroundColor();
	//
}

function setMaxTimeBackgroundColor()
{
	isShiftKey = false;
	document.getElementById("time_frame").style.display = "block";
	document.getElementById("time_frame").style.visibility = "visible";
  	document.getElementById("mainClockBorder").style.backgroundColor = maxTimeColor;
  	document.getElementById("rightInjuryClockBorder").style.backgroundColor = maxTimeColor;
  	document.getElementById("rightHoldingClockBorder").style.backgroundColor = maxTimeColor;
  	document.getElementById("leftInjuryClockBorder").style.backgroundColor = maxTimeColor;
  	document.getElementById("leftHoldingClockBorder").style.backgroundColor = maxTimeColor;
  	document.getElementById( "leftPointsBorderTable" ).style.backgroundColor = maxTimeColor;
  	document.getElementById( "rightPointsBorderTable" ).style.backgroundColor = maxTimeColor;
  	document.body.style.backgroundColor = maxTimeColor;

  	if (!blinkColorActive)
  	{
		blinkColorActive = true;
  		maxTimeBlinker = window.setInterval("maxTimeBlinkerBackground()", 1000);
  		document.onkeyup = setMaxTimeBackgroundColor;		// Ab jetzt immer MaxTimeBackgroundColor
  		document.onmouseup = setMaxTimeBackgroundColor;
  		soundLaden();										// Sound abspielen
		gleichstand();										// auf Gleichstand prfen
		sound_on = false;
		showTIE  = false;
  	}
}

document.onmousemove = updateInfo;  				// 2007 by Sebastian Dressel
document.onkeydown = myKeyDownFunction;
document.onkeyup = setOriginalBackgroundColor;
document.onmouseup = setOriginalBackgroundColor;